## trunk?format=zip&rev=899

=== Makefile ===
# $Id: Makefile 897 2016-11-24 23:06:35Z kdeugau $
# IPDB makefile

PKGNAME=ipdb
VERSION=3.0
RELEASE=1

# Include some boilerplate Gnu makefile definitions.
prefix = /usr/local

exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
includedir = ${prefix}/include
datadir = ${prefix}/share
localedir = $(datadir)/locale
sysconfdir = ${prefix}/etc
mandir = ${prefix}/man

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALLMODE= -m 0755
INSTALLMODE2 = -m 0555

DESTDIR =

HTML = \
	alloctypes.html help.html index.shtml ipdb.css rDNS.html

JS = templates/widgets.js

IMAGES = images/logo.png images/tree_closed.png images/tree_open.png

TEMPLATES = \
	templates/aclerror.tmpl templates/addmaster.tmpl templates/addvrf.tmpl templates/assign.tmpl \
	templates/confirm.tmpl templates/confmerge.tmpl templates/dberr.tmpl templates/delete.tmpl \
	templates/delvrf.tmpl templates/domerge.tmpl templates/dosplit.tmpl templates/dunno.tmpl \
	templates/edit.tmpl templates/finaldelete.tmpl templates/finaldelvrf.tmpl templates/footer.tmpl \
	templates/header.tmpl templates/index2.tmpl templates/index.tmpl templates/insert.tmpl \
	templates/listpool.tmpl templates/merge.tmpl templates/newcity.tmpl templates/newmaster.tmpl \
	templates/newnode.tmpl templates/newvrf.tmpl templates/nodesearch.tmpl templates/showsubs2.tmpl \
	templates/showsubs.tmpl templates/showvrf.tmpl templates/split.tmpl templates/subnet-calc.tmpl \
	templates/update.tmpl templates/utilbar.tmpl \
	\
	templates/admin/aclerr.tmpl templates/admin/addnotice.tmpl templates/admin/alloc.tmpl \
	templates/admin/alloctweak.tmpl templates/admin/confirm.tmpl templates/admin/dberr.tmpl \
	templates/admin/delnotice.tmpl templates/admin/deluser.tmpl templates/admin/dunno.tmpl \
	templates/admin/edcust.tmpl templates/admin/ednotice.tmpl templates/admin/emailnotice.tmpl \
	templates/admin/header.tmpl templates/admin/listcust.tmpl templates/admin/main.tmpl \
	templates/admin/newuser.tmpl templates/admin/showallocs.tmpl templates/admin/showpools.tmpl \
	templates/admin/showusers.tmpl templates/admin/touch.tmpl templates/admin/tweakpool.tmpl \
	templates/admin/updacl.tmpl templates/admin/updatepool.tmpl templates/admin/update.tmpl \
	templates/admin/updcust.tmpl templates/admin/updnotice.tmpl \
	\
	templates/search/compsearch.tmpl templates/search/sresults.tmpl

SCRIPTS = \
	cgi-bin/access-pwd-update.pl cgi-bin/allocate.pl cgi-bin/combineblocks.pl \
	cgi-bin/consistency-check.pl cgi-bin/db-update.pl cgi-bin/freespace.pl \
	\
	cgi-bin/admin.cgi cgi-bin/ipdb-rpc.cgi cgi-bin/main.cgi cgi-bin/newcity.cgi cgi-bin/newnode.cgi \
	cgi-bin/search.cgi cgi-bin/snCalc.cgi \
	\
	cgi-bin/extras/db2rwhois.pl

SQL = cgi-bin/ipdb.psql cgi-bin/ipdb-2.7-3.0.sql

MODULES = cgi-bin/IPDB.pm

CONFIGMODULES = cgi-bin/MyIPDB.pm cgi-bin/CustIDCK.pm

RWHOIS = \
	cgi-bin/extras/rwhois-net-skel.tar.gz cgi-bin/extras/rwhois-config \
	cgi-bin/extras/network.tmpl

DIRS = images templates cgi-bin cgi-bin/extras

MANIFEST = Makefile COPYING \
	$(HTML) \
	$(JS) \
	$(IMAGES) \
	$(TEMPLATES) \
	$(SCRIPTS) \
	$(SQL) \
	$(MODULES) \
	$(CONFIGMODULES) \
	$(RWHOIS)

all:
	# nullop

list:
	echo Makefile \
	$(HTML) \
	$(JS) \
	$(IMAGES) \
	$(TEMPLATES) \
	$(SCRIPTS) \
	$(SQL) \
	$(MODULES) \
	$(CONFIGMODULES) \
	$(RWHOIS)

install:
	@for i in $(HTML) $(IMAGES) $(JS) $(TEMPLATES); do \
		$(INSTALL_DATA) -D $$i $(DESTDIR)${libdir}/ipdb-$(VERSION)/$$i ; \
	done
	# munge in necessary 'use lib ...' bits so scripts can find MyIPDB.pm...
	@for i in $(SCRIPTS) $(MODULES) $(RWHOIS); do \
		$(INSTALL_SCRIPT) -D $$i $(DESTDIR)${libdir}/ipdb-$(VERSION)/$$i ; \
		perl -pi -e 's|##uselib##|use lib "${sysconfdir}/ipdb-$(VERSION)/";|;' $(DESTDIR)${libdir}/ipdb-$(VERSION)/$$i ; \
	done
	$(INSTALL) -d $(DESTDIR)${sysconfdir}/ipdb-$(VERSION)/
	@for i in $(CONFIGMODULES) ; do \
		$(INSTALL_DATA) $$i $(DESTDIR)${sysconfdir}/ipdb-$(VERSION)/ ; \
	done
	# and now munge MyIPDB.pm so it can find the core library
	perl -pi -e 's|##uselib##|use lib "${libdir}/ipdb-$(VERSION)";|;' $(DESTDIR)${sysconfdir}/ipdb-$(VERSION)/MyIPDB.pm

#clean:
#	@for i in $(DIRS) ; do \
#		$(MAKE) -C $$i clean ; \
#	done

dist:
	mkdir $(PKGNAME)-$(VERSION)
	tar cf - $(MANIFEST) | (cd $(PKGNAME)-$(VERSION); tar xf -)
	/usr/bin/perl -p -e 's/#VERSION#/$(VERSION)/g;s/#RELEASE#/$(RELEASE)/g;s/#BETA#//g' < $(PKGNAME).spec > $(PKGNAME)-$(VERSION)/$(PKGNAME).spec
	/usr/bin/perl -p -e 's/#VERSION#/$(VERSION)/g;s/#RELEASE#/$(RELEASE)/g;s/#BETA#//g' < INSTALL > $(PKGNAME)-$(VERSION)/INSTALL
	perl -pi -e 's/[\d.]+;\s*##VERSION##/"$(VERSION)";/;' $(PKGNAME)-$(VERSION)/cgi-bin/IPDB.pm
	tar cf $(PKGNAME)-$(VERSION).tar $(PKGNAME)-$(VERSION)
	gzip -v -f -9 $(PKGNAME)-$(VERSION).tar
	rm -rf $(PKGNAME)-$(VERSION)
	# gpg --detach-sign $(PKGNAME)-$(VERSION).tar.gz

=== packages/pyyaml/debian/changelog ===
pyyaml (3.05-2~andersk1) unstable; urgency=low

  * Backport to Etch.

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 31 Jul 2008 17:32:58 -0400

pyyaml (3.05-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Browser and Homepage fields added
  * XS-Vcs-Svn field renamed to Vcs-Svn
  * DM-Upload-Allowed set to "yes"

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Scott Kitterman ]
  * Build with lib-yaml now that it is in the archive (Closes: #435410)
    - Add build-dep on libyaml-dev and python-pyrex
    - Add depends for ${shlibs:Depends} (Package falls back to pure Python
      if libyaml is not present, but it's not worth splitting a small package)
    - Install with setup_with_libyaml.py for all Python versions
    - Switch from arch all to arch any
  * Add debug package
    - Add python-all-dbg to build-dep
    - Add python-yaml-dbg to debian/control
    - Update debian/rules
  * Switch from python-support to python-central
    - Update depends
    - Remove pyversions
    - Add XS/XB-python-versions to debian/control
    - Update debian/rules
  * Update package description
  * Update standards version to 3.8.0.1

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jun 2008 21:32:45 -0400

pyyaml (3.05-1) unstable; urgency=low

  [ Scott Kitterman ]
  * New upstream version
  * Removed obsolete patch and debian/patches
  * debian/control:
     - Added XS-Vcs-Svn field
     - Remove build-dep on pacht-utils
  * debian/rules:
     - Comment out simple-patchsys

  [ Piotr Ożarowski ]
  * Added debian/watch file

 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 May 2007 22:38:17 -0400

pyyaml (3.04-1) unstable; urgency=low

  * Initial Debian package (Closes: #413720)
  * Include upstream recommended patches from the development tree:
    - fix loading an empty stream: changeset 233
    - fix the !timestamp constructor: changeset 234
    - fix an obscure issue with yaml_path_resolver: changeset 246

 -- Scott Kitterman <scott@kitterman.com>  Wed,  4 Apr 2007 15:50:36 -0400

=== packages/sipb-xen-base/debian/changelog ===
sipb-xen-base (8.17) unstable; urgency=low

  * removed the `mako` program since python-mako already includes a
    mako-render

 -- Yang Zhang <y_z@mit.edu>  Wed, 13 Aug 2008 01:45:26 -0400

sipb-xen-base (8.16) unstable; urgency=low

  * added `mako` program for processing templates in invirt packages

 -- Yang Zhang <y_z@mit.edu>  Tue, 12 Aug 2008 16:00:43 -0400

sipb-xen-base (8.15) unstable; urgency=low

  * put invirt-getconf in /usr/bin

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 21:58:36 -0400

sipb-xen-base (8.14) unstable; urgency=low

  * using correct default paths in invirt-getconf
  * fixed os.rename import bug

 -- Yang Zhang <y_z@mit.edu>  Sat,  2 Aug 2008 20:29:56 -0400

sipb-xen-base (8.13) unstable; urgency=low

  * fix an error message

 -- Greg Price <price@mit.edu>  Wed, 30 Jul 2008 23:04:07 -0400

sipb-xen-base (8.12) unstable; urgency=low

  [ Greg Price ]
  * add --ls and some convenience features to invirt-getconf:
    formatting composite nodes as yaml, allowing the root
  * fix bug in late-import of yaml in invirt.config
  * use yaml.CSafeDumper and yaml.CSafeLoader everywhere
  
  [ Yang Zhang ]
  * added shared lock around cache-reading transaction

 -- Greg Price <price@mit.edu>  Wed, 30 Jul 2008 22:11:15 -0400

sipb-xen-base (8.11) unstable; urgency=low

  * sped up invirt.config module load time by rearranging imports
  * no longer removing the lock file

 -- Yang Zhang <y_z@mit.edu>  Wed, 30 Jul 2008 21:55:23 -0400

sipb-xen-base (8.10) unstable; urgency=low

  * added file locking around cache

 -- Yang Zhang <y_z@mit.edu>  Tue, 29 Jul 2008 22:35:25 -0400

sipb-xen-base (8.9) unstable; urgency=low

  * moved more generic code into `common` package
  * silently fail if cache fails
  * load the configuration on module load
  * produce a struct-based representation of the configuration
  * allowing full exception messages for OSErrors (default behavior)
  * added some dependencies specs

 -- Yang Zhang <y_z@mit.edu>  Tue, 29 Jul 2008 01:03:16 -0400

sipb-xen-base (8.8) unstable; urgency=low

  * added timestamp-based JSON caching of configuration for faster loading
  * exposed (more) options to command-line frontend
  * improved error messages/handling/help
  * removed all python 2.5-isms
  * reformatted to fit project style conventions

 -- Yang Zhang <y_z@mit.edu>  Mon, 28 Jul 2008 12:25:03 -0400

sipb-xen-base (8.7) unstable; urgency=low

  * back to 2.4 compatibility

 -- Greg Price <price@mit.edu>  Mon, 28 Jul 2008 07:44:27 -0400

sipb-xen-base (8.6) unstable; urgency=low

  * switching to python 2.5 only
  * added y_z to .k5login

 -- Yang Zhang <y_z@mit.edu>  Sun, 27 Jul 2008 20:23:54 -0400

sipb-xen-base (8.5) unstable; urgency=low

  * using python 2.5
  * initial working version of invirt-getconf that reads & navigates YAML

 -- Yang Zhang <y_z@linerva.mit.edu>  Sun, 27 Jul 2008 20:12:28 -0400

sipb-xen-base (8.4) unstable; urgency=low

  [ Greg Price ]
  * begin a Python package 'invirt'

  [ Yang Zhang ]
  * added invirt-getconf to read configuration files

 -- Yang Zhang <y_z@mit.edu>  Sun, 27 Jul 2008 19:10:10 -0400

sipb-xen-base (8.3) unstable; urgency=low

  * add invirt-reload to regenerate and reload configs

 -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 20:35:42 -0400

sipb-xen-base (8.2) unstable; urgency=low

  * leave out debathena-system so we get only the packages we ask for

 -- Greg Price <price@mit.edu>  Sun, 20 Jul 2008 13:58:52 -0400

sipb-xen-base (8.1) unstable; urgency=low

  * include debathena to make stuff like kerberos config easier

 -- Greg Price <price@mit.edu>  Sat, 19 Jul 2008 23:16:47 -0400

sipb-xen-base (8) unstable; urgency=low

  * update .k5login to match black-mesa

 -- Greg Price <price@mit.edu>  Sun,  4 May 2008 20:28:28 -0400

sipb-xen-base (7) unstable; urgency=low

  * include backports.org
  * sources.list.d doesn't actually need a .sources.list, just .list

 -- Greg Price <price@mit.edu>  Thu,  1 May 2008 19:45:50 -0400

sipb-xen-base (6) unstable; urgency=low

  * actually use sources.list.d correctly

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 21:22:12 -0400

sipb-xen-base (5) unstable; urgency=low

  * update sources.list, use sources.list.d

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 21:06:05 -0400

sipb-xen-base (4) unstable; urgency=low

  * sipb-vm-1 becomes sipb-xen-dev

 -- Sam Hartman <hartmans@debian.org>  Tue,  4 Sep 2007 15:48:50 -0400

sipb-xen-base (3) unstable; urgency=low

  * We want security updates too

 -- Sam Hartman <hartmans@debian.org>  Fri, 10 Aug 2007 20:39:14 -0400

sipb-xen-base (2) unstable; urgency=low

  * Update sources.list to include our debian mirror

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:11:18 -0400

sipb-xen-base (1) unstable; urgency=low

  * New upstream version

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 18:44:21 -0400

=== packages/sipb-xen-database/debian/changelog ===
sipb-xen-database (10.18) unstable; urgency=low

  * add 'adminable' column to machines; for selectively, temporarily,
    enabling admin mode on a machine

 -- Greg Price <price@mit.edu>  Wed,  6 Aug 2008 01:02:59 -0400

sipb-xen-database (10.17) unstable; urgency=low

  * pull IP gateway, network from config
  * configurabilization complete!

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:16:53 -0400

sipb-xen-database (10.16) unstable; urgency=low

  in sipb-xen-database-tables:
  * use invirt.database, and take default db uri

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:51:32 -0400

sipb-xen-database (10.15) unstable; urgency=low

  in /etc/xen/database:
  * uncommitted changes on black-mesa
  * sipb_xen_database -> invirt.database
  * use default db uri

  in invirt.database:
  * get default db uri from invirt.config

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:26:46 -0400

sipb-xen-database (10.14) unstable; urgency=low

  * Rename sipb_xen_database -> invirt.database,
    keeping old name too for now, for compatibility.

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 23:19:18 -0400

sipb-xen-database (10.13) unstable; urgency=low

  * Modify autoinstalls table to specify distribution/mirror.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Sat, 21 Jun 2008 21:25:21 -0400

sipb-xen-database (10.12) unstable; urgency=low

  * Add a description field.

 -- Anders Kaseorg <andersk@mit.edu>  Wed, 18 Jun 2008 03:52:49 -0400

sipb-xen-database (10.11) unstable; urgency=low

  * Specify ON DELETE CASCADE

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:25:35 -0400

sipb-xen-database (10.10) unstable; urgency=low

  * Make machine.acl a private relation.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:03:09 -0400

sipb-xen-database (10.9) unstable; urgency=low

  * Eager loading of relations for better performance.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 02 Jun 2008 01:39:11 -0400

sipb-xen-database (10.8) unstable; urgency=low

  * Configure serial console on boot

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Thu,  1 May 2008 20:21:25 -0400

sipb-xen-database (10.7) unstable; urgency=low

  * Depend on psql client in -client package.

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 21:06:41 -0400

sipb-xen-database (10.6) unstable; urgency=low

  * Support autoinstalls table.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 21 Apr 2008 22:34:46 -0400

sipb-xen-database (10.5) unstable; urgency=low

  * Enable USB tablet device in guests.

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 21 Apr 2008 17:39:59 -0400

sipb-xen-database (10.4.1) unstable; urgency=low

  * Actually export the cache clearing function.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 21:18:01 -0400

sipb-xen-database (10.4) unstable; urgency=low

  * Ubuntu's dch sucks.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 20:43:42 -0400

sipb-xen-database (10.3ubuntu1) gutsy; urgency=low

  * Expose a function for clearing the cache.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 20:31:06 -0400

sipb-xen-database (10.3) unstable; urgency=low

  * Use 'acl', not 'users', for the reference to the machine_access table.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Thu, 24 Jan 2008 17:23:33 -0500

sipb-xen-database (10.2) unstable; urgency=low

  * Add MachineAccess to __all__ so it can be imported
  * Remove unnecessary constructors for database objects

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:53:47 -0500

sipb-xen-database (10.1) unstable; urgency=low

  * Make sipb-xen-database-tables safer (don't default to drop_all)

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:39:59 -0500

sipb-xen-database (10) unstable; urgency=low

  * Added a machine_access table for cached ACLs

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:24:35 -0500

sipb-xen-database (9.0) unstable; urgency=low

  * No changes.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Wed, 10 Oct 2007 00:17:20 -0400

sipb-xen-database (9) unstable; urgency=low

  * Add administrator column and backrefs to machine.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Wed, 10 Oct 2007 00:11:47 -0400

sipb-xen-database (8) gutsy; urgency=low

  * Prepend d_ to database VMs.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 02:35:51 -0400

sipb-xen-database (7.00002) gutsy; urgency=low

  * Actually import re.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 04:34:07 -0400

sipb-xen-database (7.00001) gutsy; urgency=low

  * import re.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 03:40:25 -0400

sipb-xen-database (7) unstable; urgency=low

  * nics primary key should be mac address, not hostname.
  * Make ip unique, and constructor for nics.
  * Add a table for boot CDs.
  * Add cdrom_image parameter.
  * Regex sanity checking.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 03:18:30 -0400

sipb-xen-database (6) unstable; urgency=low

  * Adding a script to create lvm volumes

 -- Nelson Elhage <nelhage@mit.edu>  Sat, 22 Sep 2007 13:59:36 -0400

sipb-xen-database (5) unstable; urgency=low

  * Change the host from sipb-vm-1 to sipb-xen-dev

 -- Nelson Elhage <nelhage@mit.edu>  Sat,  8 Sep 2007 16:16:07 -0400

sipb-xen-database (4) unstable; urgency=low

  * Add script=vif-sipbroute to our vif lines

 -- Nelson Elhage <nelhage@mit.edu>  Fri, 24 Aug 2007 22:07:18 -0400

sipb-xen-database (3) unstable; urgency=low

  * Add a connect() line to sipb-database
  * Fix some other bugs in sipb-database

 -- Nelson Elhage <nelhage@mit.edu>  Sun, 19 Aug 2007 19:40:08 -0400

sipb-xen-database (2) unstable; urgency=low

  * Fix the postinit and prerm scripts to create a sipb-xen user

 -- Nelson Elhage <nelhage@mit.edu>  Thu, 16 Aug 2007 16:27:36 -0400

sipb-xen-database (1) unstable; urgency=low

  * Initial Release.



=== packages/sipb-xen-dev/debian/changelog ===
sipb-xen-dev (22) unstable; urgency=low

  * Do not include a key id for dpkg-buildpackage per discussion on class xvm

 -- Sam Hartman <hartmans@debian.org>  Tue, 19 Aug 2008 13:14:04 -0400

sipb-xen-dev (21) unstable; urgency=low

  * Depend on sipb-xen-base
  * don't require packages be signed on upload

 --  Sam Hartman <hartmans@xvm.mit.edu>  Tue,  5 Aug 2008 21:23:44 +0000

sipb-xen-dev (20) unstable; urgency=low

  * dumb bugfix in init script

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:11:04 -0400

sipb-xen-dev (19) unstable; urgency=low

  * use CDBS, which doesn't forget dh_installinit like I did

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:02:41 -0400

sipb-xen-dev (18) unstable; urgency=low

  * sign the packages, getting keyid from invirt.config

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 00:43:58 -0400

sipb-xen-dev (17) unstable; urgency=low

  * use reprepro more correctly (and include in both stable and unstable)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:47:55 -0400

sipb-xen-dev (16) unstable; urgency=low

  * usage as "sx-build-release <package-name>", no "trunk/packages"
  * clobber the build-release/<package-name> directory automatically

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:12:03 -0400

sipb-xen-dev (15) unstable; urgency=low

  * Stop requiring the current directory to be in the checkout.
  * Don't do unnecessary write operations
    (hence prompt less often for a password.)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 22:45:42 -0400

sipb-xen-dev (14) unstable; urgency=low

  * Use the shallower directory structure.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Sat, 29 Mar 2008 17:25:20 -0400

sipb-xen-dev (13) unstable; urgency=low

  * Update the svn uri automatically.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 21:38:37 -0400

sipb-xen-dev (12) unstable; urgency=low

  * Update the svn uri to point to the new repository

 -- Nelson Elhage <nelhage@mit.edu>  Wed, 15 Aug 2007 22:58:49 -0400

sipb-xen-dev (11) unstable; urgency=low

  * Use svn export not co to avoid installing .svn directories

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:15:58 -0400

sipb-xen-dev (10) unstable; urgency=low

  * Use svn export not svn co so we don't get .svn directories installed

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:14:51 -0400

sipb-xen-dev (9) unstable; urgency=low

  * Add /debian to apache config

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 18:54:43 -0400

sipb-xen-dev (8) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:29:54 -0400

sipb-xen-dev (7) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:27:59 -0400

sipb-xen-dev (6) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:26:17 -0400

sipb-xen-dev (5) unstable; urgency=low

  * Bug fix

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:25:00 -0400

sipb-xen-dev (4) unstable; urgency=low

  * Blah

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:21:28 -0400

sipb-xen-dev (3) unstable; urgency=low

  * Working sx-build-release
  

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 16:58:46 -0400

sipb-xen-dev (2) unstable; urgency=low

  * Add sipb-xen-repository apache config

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 14:04:03 -0400

sipb-xen-dev (1) unstable; urgency=low

  * Add repository config
  * update dependencies

 --  Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 13:43:08 -0400

sipb-xen-dev (0) unstable; urgency=low

  * Initial Release.

 -- unknown <hartmans@debian.org>  Fri,  6 Jul 2007 00:52:28 -0400

=== packages/sipb-xen-www/debian/changelog ===
sipb-xen-www (3.9) unstable; urgency=low

  * further integration of invirt.config

 -- Yang Zhang <y_z@mit.edu>  Fri,  8 Aug 2008 02:39:15 -0400

sipb-xen-www (3.8) unstable; urgency=low

  * sipb_xen_database -> invirt.database in cache_acls.py

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:45:19 -0400

sipb-xen-www (3.7) unstable; urgency=low

  uncommitted changes in /etc/apache2 on xvm.mit.edu:
  * rewrite static/ uris for admin mode
  * allow ~ uris

  * take instance from keytab in k5start apache2.init wrapper

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 01:22:47 -0400

sipb-xen-www (3.6) unstable; urgency=low

  * Add Anders' kstart-using apache2 init script.
  * Add some dependencies the svn site needs.
  * Use daemon/xvm-2.mit.edu for svn site, as it's on xvm-2 now

 -- Greg Price <price@mit.edu>  Fri,  1 Aug 2008 20:23:50 -0400

sipb-xen-www (3.5) unstable; urgency=low

  * Use FCGI.
  * Lengthen timeouts to let the autoinstaller work.

 -- Greg Price <price@mit.edu>  Sun, 15 Jun 2008 21:51:59 -0400

sipb-xen-www (3.4) unstable; urgency=low

  * xvm.mit.edu rather than sipb-xen-dev.mit.edu

 -- Greg Price <price@mit.edu>  Sun, 11 May 2008 00:49:58 -0400

sipb-xen-www (3.3) unstable; urgency=low

  * Fix the SVN server to point to the new AFS mountpoint

 -- Evan Broder <broder@mit.edu>  Fri,  9 May 2008 02:37:21 -0400

sipb-xen-www (3.2) unstable; urgency=low

  * Check in (part of?) the Apache config.
  * Modify it to allow an informative front page without certs.
  * Add that front page.

 -- Greg Price <price@mit.edu>  Fri,  9 May 2008 02:11:04 -0400

sipb-xen-www (3.1) unstable; urgency=low

  * Fixed the crontab definition

 -- SIPB Xen Project <sipb-xen@mit.edu>  Mon, 31 Mar 2008 05:49:32 -0400

sipb-xen-www (3) unstable; urgency=low

  * Refresh the ACL cache every 5 minutes

 -- SIPB Xen Project <sipb-xen@mit.edu>  Mon, 31 Mar 2008 05:38:16 -0400

sipb-xen-www (2) unstable; urgency=low

  * Create sipb-xen group in preinst script.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Sat, 29 Mar 2008 18:45:02 -0400

sipb-xen-www (1) unstable; urgency=low

  * Initial Release.
 -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 22:43:12 -0500

=== packages/xvm-devconfig/debian/changelog ===
xvm-devconfig (0.9) unstable; urgency=low

  * added configs for sipb-xen-www

 -- Yang Zhang <y_z@mit.edu>  Fri,  8 Aug 2008 02:40:16 -0400

xvm-devconfig (0.8) unstable; urgency=low

  * add more config for web interface

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 23:25:24 -0400

xvm-devconfig (0.7) unstable; urgency=low

  * added dns.contact for sipb-xen-dns

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:19:29 -0400

xvm-devconfig (0.6) unstable; urgency=low

  * added decomposition of DB URI (for sipb-xen-console)

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 01:23:54 -0400

xvm-devconfig (0.5) unstable; urgency=low

  * remove deprecated /etc/invirt/{hosts,realm}
  * add apt section with keyid
  * add network section with gateway, netmask

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:17:57 -0400

xvm-devconfig (0.4) unstable; urgency=low

  * Put host hostnames in values, not keys.

 -- Greg Price <price@mit.edu>  Sun, 27 Jul 2008 23:42:30 -0400

xvm-devconfig (0.3) unstable; urgency=low

  * Add a YAML version with much more info.

 -- Greg Price <price@mit.edu>  Sun, 27 Jul 2008 17:43:33 -0400

xvm-devconfig (0.2) unstable; urgency=low

  * Add postinst to reload config.

 -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 20:38:59 -0400

xvm-devconfig (0.1) unstable; urgency=low

  * First cut.  Has hosts and realm.

 -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 18:56:49 -0400

=== packages/sipb-xen-base/debian/control ===
Source: sipb-xen-base
Section: base
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), python-support
Standards-Version: 3.7.2

Package: sipb-xen-base
Architecture: all
Depends: ${misc:Depends}, python-json (>= 3.4-2), python-yaml (>= 3.05), python-mako (>= 0.2.2)
Description: Base configuration required for all SIPB xen servers
 This package includes apt configuration, .k5login and other files that
 should be synchronized among all our servers.
 Installing this on a non-sipb-xen machine would be very anti-social.

=== packages/sipb-xen-remctl-auto/debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
include /usr/share/cdbs/1/rules/debhelper.mk
